Get an order
curl --request GET \
--url https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId} \
--header 'x-access-token: <api-key>'import requests
url = "https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}"
headers = {"x-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-access-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-access-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}")
.header("x-access-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-access-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"event_id": 123,
"status": "draft",
"purchaser": {
"type": "contact",
"id": "<string>",
"email": "<string>",
"name": "<string>",
"company": "<string>"
},
"currency": "<string>",
"subtotal_cents": 123,
"discount_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"paid_cents": 123,
"balance_cents": 123,
"payment_method": "<string>",
"discount": {
"id": "<string>",
"code": "<string>"
},
"lines": [
{
"key": "<string>",
"line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"label": "<string>",
"tier_label": "<string>",
"quantity": 123,
"unit_price_cents": 123,
"discount_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"attendee_index": 123,
"session_id": "<string>",
"gl_code": "<string>"
}
],
"registrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"awaiting_assignment": true
}
],
"invoice": {},
"form_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_mode": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}Event — Registration
Get an order
One order, in the same shape as the list.
Requires read:registrations (legacy tokens with no scopes pass).
GET
/
v1
/
event
/
{eventId}
/
orders
/
{orderId}
Get an order
curl --request GET \
--url https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId} \
--header 'x-access-token: <api-key>'import requests
url = "https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}"
headers = {"x-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-access-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-access-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}")
.header("x-access-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.sessionboard.com/v1/event/{eventId}/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-access-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"event_id": 123,
"status": "draft",
"purchaser": {
"type": "contact",
"id": "<string>",
"email": "<string>",
"name": "<string>",
"company": "<string>"
},
"currency": "<string>",
"subtotal_cents": 123,
"discount_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"paid_cents": 123,
"balance_cents": 123,
"payment_method": "<string>",
"discount": {
"id": "<string>",
"code": "<string>"
},
"lines": [
{
"key": "<string>",
"line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"label": "<string>",
"tier_label": "<string>",
"quantity": 123,
"unit_price_cents": 123,
"discount_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"attendee_index": 123,
"session_id": "<string>",
"gl_code": "<string>"
}
],
"registrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"awaiting_assignment": true
}
],
"invoice": {},
"form_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_mode": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}Authorizations
ApiKeyBearerToken
Organization API token. Generate from Organization Settings → API Tokens.
Path Parameters
Event ID
The order ID (not the order number).
Response
OK
An order and what it bought. Amounts are in the smallest currency unit.
Show child attributes
Show child attributes

